//  
//  DBusItem.cs
//  
//  Author:
//       Alex Launi <alex.launi@gmail.com>
// 
//  Copyright (c) 2010 Do developers
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;

using NDesk.DBus;

using Do.Universe;

namespace Do.DBus
{
	[Interface ("org.gnome.Do.Item")]
	internal interface IDBusItem
	{
		string Name { get; }
		string Description { get; }
		string Icon { get; }
	}

	internal class DBusItem : DBusObject, IItem
	{
		IDBusItem inner;

		internal DBusItem (ObjectPath path, IDBusItem inner) : base (path)
		{
			this.inner = inner;
		}

#region IItem implementation
		public string Name {
			get {
				return inner.Name;
			}
		}

		public string Description {
			get {
				return inner.Description;
			}
		}

		public string Icon {
			get {
				return inner.Icon;
			}
		}
#endregion
	}
}

